#pragma rtGlobals=1		// Use modern global access method.

Function hi_MarkerDrawer_Panel()
	NewPanel /W=(400,70,600,100) as "MarkerDrawer"
	DoWindow/C MarkerDrawer
	SetVariable setvar0,pos={5,5},size={150,19},proc=hi_MarkerDrawer,title="where?"
	SetVariable setvar0,help={"where do you want to mark ? (bottom axis)"}
	SetVariable setvar0,font="Arial",fSize=12,limits={0,Inf,0},value= K0
	Button button0,pos={160,5},size={40,20},proc=hi_MarkerDrawer_quit,title="quit"
End

Function hi_MarkerDrawer(ctrlName,varNum,varStr,varName) : SetVariableControl
	String ctrlName
	Variable varNum
	String varStr
	String varName
	String TargetWin = WinName(0,1)	// name of the top graph
	if( stringmatch( axislist(TargetWin), "*;bottom;*") )	// axis 'bottom' exists
		SetDrawEnv/W=$TargetWin xcoord = bottom, ycoord = prel, dash = 1
		DrawLine/W=$TargetWin varNum,0,varNum,1
//		TextBox/W=$TargetWin/N=$("TextBox_" + varStr)/A=MC varStr
		TextBox/W=$TargetWin/A=MC varStr
	else
		print "The axis \"bottom\" doesn't seem to be there... exit"
	endif
End


Function hi_MarkerDrawer_quit(ctrlName) : ButtonControl
	String ctrlName
	DoWindow/K MarkerDrawer
End

