#pragma rtGlobals=1		// Use modern global access method.
Function hi_ModifyOffset_panel()

	NewPanel /W=(392,202,630,256)
	DoWindow/C hi_ModifyOffset

	SetVariable setvarOffset,pos={50,6},size={96,15},title="Offset",bodyWidth= 80
	SetVariable setvarOffset,value= K0,proc=hi_ModifyOffset_setvar,font="Courier New"

	Button btnCurrentOffset,pos={15,28},size={130,20},title="Show Current Offset"
	Button btnCurrentOffset,font="Arial",proc=hi_ModifyOffset_CurrentOffset

	Button btnDone,pos={171,11},size={52,34},title="Done",font="Arial"
	Button btnDone,proc=hi_ModifyOffset_Done

End

Function hi_ModifyOffset_CurrentOffset(ctrlname) : ButtonControl
	String ctrlName
	String TargetWin = WinName(0,1)
	NVAR K0
	NVAR CurrentOffset = root:offset:$(TargetWin)
	K0 = CurrentOffset
End

Function hi_ModifyOffset_Done(ctrlName) : ButtonControl
	String ctrlName
	DoWindow/K hi_ModifyOffset
End

Function hi_ModifyOffset_setvar (ctrlName,varNum,varStr,varName) : SetVariableControl
	String ctrlName
	Variable varNum	// value of variable as number
	String varStr		// value of variable as string
	String varName		// name of variable
	
	String TargetWin = WinName(0,1)
	Variable i = -1	// in order to deal with the 'initial execution' of do-while loop
	
	do
		i += 1
	while( WaveExists(WaveRefIndexed(TargetWin, i, 2)) )
	// now 'i' is equivalent to the number of the appended waves
	
	if(i==0)
		print "no wave ?! exiting..."
		abort
	endif
	
	// update the graph
	Variable AppendedNum = i
	String TargetWave
	for(i=0; i<=AppendedNum-1; i+=1)
		TargetWave = NameOfWave( WaveRefIndexed(TargetWin, i, 1) )	// Y wave
		ModifyGraph/W=$TargetWin offset($TargetWave) = {0, (i-1) * varNum}
	endfor
	
	// update the offset data
	NVAR CurrentOffset = root:offset:$(TargetWin)
	CurrentOffset = K0
End
