#pragma rtGlobals=1		// Use modern global access method.
////////////////////////////////////////////////////////////////////////////////////////
// hi_WindowSort()
// Sort graph windows by an ascending order
// After this function is executed, in 'New Layout', all graphs are nicely sorted and
// the user becomes happy if he has lots of graphs to be appended in the layout.
//
// Hirotake Itoh, Sep 2003
Function hi_WindowSort()
	String list_unsorted
	String list_sorted
	
	list_unsorted = WinList("*",";","WIN:1")	// WIN:1 -> only Graphs
	list_sorted = SortList(list_unsorted,";",0)	// ascending order
	
	Variable i
	For(i=0; i<=ItemsInList(list_sorted)-1; i+=1)
		DoWindow/B $StringFromList(i,list_sorted,";")
	EndFor
End
// end of hi_WindowSort ////////////////////////////////////////////////////////////////

